// Require Lib for Path and FS //
const fs = require('fs')
const path = require('path')

// Require Fetch Functions //
const hmlinks = require('./fetchAPI.js')

const obj = {}

const defaultDir = path.join(__dirname, 'data')

for (const lib of fs.readdirSync(defaultDir)) {
    const libName = lib.slice(0, -3)
    obj[libName] = {}
    const library =  require(path.join(defaultDir, lib))
    for (const category in library) {
        if (category == 'aliases') continue;
        obj[libName][category] = {}
        for (const key of library[category]) obj[libName][category][key] = () => hmlinks[libName.toLowerCase() + 'Get'](key in library?.aliases ? library.aliases[key] : key)
    }
}

module.exports = obj