const fetch = require('node-fetch')

const errMessage = (err) => `Something wrong with Miss API: ${err}\nContact the support Discord server for help: https://discord.gg/vJs36ES`

module.exports = class HMrequest {
    static async hmtaiGet(name) {
        return await fetch(`https://hmtai.hatsunia.cfd/v2/${name}`).then(res => res.json()).catch(err => errMessage(err))
    }

    static async nekosGet(name) {
        return await fetch(`https://nekos.life/api/v2/img/${name}`).then(res => res.json()).catch(err => errMessage(err));
    }
    
    static async nekoloveGet(name) {
        return await fetch(`https://neko-love.xyz/api/v1/${name}`).then(res => res.json()).catch(err => errMessage(err))
    }

    static async nekobotGet(name) {
        const blacklist = ['https://i0.nekobot.xyz/0/2/9/1b50d3f619f1bafdf114a530a2570.jpg', 'https://cdn.nekobot.xyz/9/3/9/448bb2ff69b3457a82f32ecd31c06.jpg', 'https://i0.nekobot.xyz/4/9/3/3b6ccf0c081db887fbe38038af996.jpg', 'https://i0.nekobot.xyz/8/6/9/ee21a6ac7d06aabf0b71691e6dfb5.jpg', 'https://cdn.nekobot.xyz/b/4/d/c1fdf4234fbfba326fb282de9ef8c.jpg']
        let res = await fetch(`https://nekobot.xyz/api/image?type=${name}`).then(res => res.json()).catch(err => errMessage(err))

        if (!res.success) return errMessage('This endpoint don\'t work, or you got a Rate Limit')
        if (blacklist.includes(res.message)) return this.nekobotGet(name)

        return { url: res.message }
    }

    // static async freakerGet(name) {
    //     const headers = { "User-Agent": "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0" }
    //     return await fetch(`https://api.computerfreaker.cf/v2/${name}`, { method: 'GET', headers: headers }).then(res => res.json()).catch(err => errMessage(err))
    // }
}